Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class JRCoverInfo

    java.lang.Object
      jet.bean.JRCoverInfo

All Implemented Interfaces:
  java.io.Serializable

    public class JRCoverInfo

extends java.lang.Object
implements java.io.Serializable

This class is used to create a fax cover letter

See Also:
  Serialized Form

Field Summary
`boolean` | `comment`
`java.lang.String` | `comments`
`java.lang.String` | `company`
`java.lang.String` | `date`
`java.lang.String` | `from`
`java.lang.String` | `phone`
`java.lang.String` | `re`
`boolean` | `reply`
`boolean` | `review`
`java.lang.String` | `to`
`boolean` | `urgent`

Constructor Summary
`JRCoverInfo(java.lang.String from, java.lang.String to, java.lang.String company, java.lang.String phone, java.lang.String date, java.lang.String re, java.lang.String comments, boolean urgent, boolean review, boolean comment, boolean reply)` Constructs a `JRCoverInfo` object with some fax cover information.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### from

    public java.lang.String from

### to

    public java.lang.String to

### company

    public java.lang.String company

### phone

    public java.lang.String phone

### date

    public java.lang.String date

### re

    public java.lang.String re

### comments

    public java.lang.String comments

### urgent

    public boolean urgent

### review

    public boolean review

### comment

    public boolean comment

### reply

    public boolean reply

Constructor Detail

### JRCoverInfo

    public JRCoverInfo(java.lang.String from,
                       java.lang.String to,
                       java.lang.String company,
                       java.lang.String phone,
                       java.lang.String date,
                       java.lang.String re,
                       java.lang.String comments,
                       boolean urgent,
                       boolean review,
                       boolean comment,
                       boolean reply)

  Constructs a `JRCoverInfo` object with some fax cover information.

  Parameters:
    `from` - information of the sender.
    `to` - information of the recipient.
    `company` - information of the sender's company.
    `phone` - phone number of the sender.
    `date` - the date of fax task.
    `re` - the subject of the fax.
    `comments` - the comments of the fax.
    `reply` - A reply is needed for the fax.
    `urgent` - Specifies whether the fax is urgent or not.
    `review` - reviews if the fax is OK
    `comment` - the comments of the fax throws JRFaxServerException if it throws an exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD